RESTinio

Classes | Namespaces | Enumerations | Functions
ws_protocol_validator.hpp File Reference
`#include <restinio/exception.hpp>`
`#include <restinio/websocket/impl/utf8.hpp>`
`#include <restinio/websocket/impl/ws_parser.hpp>`

Go to the source code of this file.

## Classes
struct | restinio::websocket::basic::impl::unmasker_t
class | restinio::websocket::basic::impl::ws_protocol_validator_t
| Class for websocket protocol validations. More...

## Namespaces
namespace | restinio
namespace | restinio::websocket
namespace | restinio::websocket::basic
namespace | restinio::websocket::basic::impl

## Enumerations
enum class | restinio::websocket::basic::impl::validation_state_t { restinio::websocket::basic::impl::initial_state , restinio::websocket::basic::impl::frame_header_is_valid , restinio::websocket::basic::impl::payload_part_is_valid , restinio::websocket::basic::impl::frame_is_valid , restinio::websocket::basic::impl::invalid_opcode , restinio::websocket::basic::impl::empty_mask_from_client_side , restinio::websocket::basic::impl::non_final_control_frame , restinio::websocket::basic::impl::non_zero_rsv_flags , restinio::websocket::basic::impl::payload_len_is_too_big , restinio::websocket::basic::impl::continuation_frame_without_data_frame , restinio::websocket::basic::impl::new_data_frame_without_finishing_previous , restinio::websocket::basic::impl::invalid_close_code , restinio::websocket::basic::impl::incorrect_utf8_data }
| States of validated frame. More...

## Functions
const char * | restinio::websocket::basic::impl::validation_state_str (validation_state_t state)
| Helper function for logging validation states. More...
bool | restinio::websocket::basic::impl::is_control_frame (opcode_t opcode)
| Check frame is control frame. More...
bool | restinio::websocket::basic::impl::is_data_frame (opcode_t opcode)
| Check frame is data frame. More...